Subject: Re: [mobile-ip] mobile-ip] Where to insert HAO?

From: [email-masked]
Date: Thu, 16 May 2002 09:35:57 +0530

Hi,

You wrote:
>The draft actually defined a new destination option header
>location (in addition to the ones defined in 2460).  This
>location is what you described in your message.

>For example:
>   IPv6 [ HbH [ Dest{1} [ Rtrhdr [ Dest (HOA) [ Frag ...]]]]]

But I think RFC-2460 also says that Destination option header can occur
utmost twice. So as per your interpretation we have to add a new
destination option header, which is destination option {2} (since 0 and 1
being outer and 1 being inner destination options) right?

>However, I believe that'll change in the next revision since
>The HOA will be a parameter in the Mobility Header.

I believe this may not be applicable always since BU to HA require a HAO
and this has to be replaced with the COA before the Authentication or ESP
header processing is done and more over if we want route optimization any
upper layer packet to CN should also have the HAO (if CN has a binding with
the MN).

Regards
pav

                    Vladislav                                                                  
                    Yasevich                To:     [email-masked]              
                    <Vladislav.Yasevi       cc:     [email-masked]              
                    [email-masked]>              Subject:     Re: [mobile-ip] mobile-ip] Where to   
                                             insert HAO?                                       
                    05/15/2002 08:31                                                           
                    PM                                                                         

The draft actually defined a new destination option header
location (in addition to the ones defined in 2460).  This
location is what you described in your message.

For example:
   IPv6 [ HbH [ Dest{1} [ Rtrhdr [ Dest (HOA) [ Frag ...]]]]]

However, I believe that'll change in the next revision since
the HOA will be a parameter in the Mobility Header.

-vlad

[email-masked] wrote:
> Hi All,
>
> Section 6.3 says
> "The Home Address option MUST be placed as follows:
>
>     -  After the Routing Header, if that header is present
>
>     -  Before the Fragment Header, if that header is present
>
>     -  Before the AH Header or ESP Header, if either one of those
>        Headers is present "
> "After the Routing Header, if that header is present" does it mean that
HAO
> has to be placed in the inner destination option header, because outer
> destination header usually comes before routing header.
>
> "Before the Fragment Header, if that header is present" ? ok this rules
out
> the case of inner destination option header, in this case outer
destination
> option and routing header both are part of non fragmentable part, but
still
> outer destination option header comes before routing header (for example
in
> Linux Ipv6). What if both routing and fragment headers are present?
>
> "Before the AH Header or ESP Header, if either one of those Headers is
> present " this again rules out the use of inner destination header.
>
> So where should we actually place the HAO?
>
> Best Regards
> pav
>
>
>
>

--
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Vladislav Yasevich               Tru64 UNIX - IPv6 Project Lead
Hewlett Packard                  Tel: (603) 884-1079
Nashua, NH 03062                 ZKO3-3/T07

---

From: Vladislav Yasevich <[email-masked]>
Date: Thu, 16 May 2002 09:35:25 -0400

Hi pav

> being outer and 1 being inner destination options) right?

This was only a suggestion on the part of 2460.  There was a lot
of discussion about this.  Essentially, destination option headers
can appear anywhere you want to put them if you don't want to follow
the suggestions.

So mobile spec defines an additional location where a destination
option header may exist.  That header contains the HOA.

> upper layer packet to CN should also have the HAO (if CN has a binding with

Yes, you are right.  I got confused about some changes that were
discusses a while ago.
-vlad